Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Sun, 06 Nov 2022 02:30:27 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hi team  read carefully 
I purchased from click and collect Your order9591357769 from this I ask refund 2 items 
Then I received refund voucher   95913577697273804247 my voucher no
So I decided to use that then I made this  Order 9593158095  but unfortunately it’s cancelled and voucher was redeemed there  and order cancelled also so now I am running here and there  I couldn’t use it again that voucher I am trying to contact the team  always  promised but no response till now I am really disappointed  form landmark Group many times called but I am helpless PLEASE return my REFUND VOUCHER https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5215221